Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Installing SilverStripe /

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Installing 3.0.2 on WAMP


Reply


7 Posts   1144 Views

Avatar
draytop

Community Member, 5 Posts

3 October 2012 at 9:28pm

Hi,

How to you install the latest version of SilverStripe CMS on WAMP?

The System Requirements say: PHP 3.0 or above.
Yet if I try and install, the install process says "To run SilverStripe, please install PHP 5.3.2 or greater."

The latest version of PHP available for WAMP is PHP 5.3.1

Frustrated Developer,
(Think I'm going to use Concrete5 or ExpressionEngine instead!)

Avatar
Sean

Forum Moderator, 922 Posts

4 October 2012 at 9:40am

Edited: 04/10/2012 9:43am

Hi there,

PHP 3.0 is ancient, I don't recall ever seeing that as a minimum requirement. Where did you see that?

There are updated versions of WampServer available here: http://www.wampserver.com/en/

I would suggest you upgrade to the one that uses PHP 5.3.13 as the latest PHP version.

Note that SilverStripe 3 requires PHP 5.3.2 as a minimum. Most server stacks have upgraded their PHP versions since then.

Thanks,
Sean

Avatar
draytop

Community Member, 5 Posts

4 October 2012 at 10:29am

Sorry,

It was a mis-type, your System Requirements say: PHP 5.3.0 or above.

Goto http://www.wampserver.com/en/ and scroll to the bottom and click on "Download PHP Addons"

Low and behold, versions available for WAMP are PHP 5.3.1 and PHP 5.3.0

So again, I ask you the question, How do I install the latest version of SilverStripe on WAMP?

Avatar
Sean

Forum Moderator, 922 Posts

4 October 2012 at 10:34am

Edited: 04/10/2012 10:35am

Hi there,

Those are WAMP addons for installing older versions of PHP, so you can try to match your production environments.

If you see the download for the main WampServer on that page it has PHP 5.3.13.

So therefore if you download the latest WampServer version and use that, you can install SilverStripe on it.

Thanks,
Sean

Avatar
draytop

Community Member, 5 Posts

4 October 2012 at 10:59am

Ok thanks,

I'll try re-installing the latest WAMP.

Avatar
draytop

Community Member, 5 Posts

5 October 2012 at 1:48am

Installed WAMP, running PHP 5.3.13

Now I just get a blank screen when I'm trying a fresh install of SilverStripe 3.0.2 CMS!

Avatar
draytop

Community Member, 5 Posts

5 October 2012 at 2:09am

Never mind,

I've fixed it.